*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
}

.wrapper {
    max-width: 1024px;
    margin: 0 auto;
  }

.header{
    min-height: 100vh;
    width: 100%;
    background-image: linear-gradient(rgba(4,9,30,0.7),rgba(4,9,30,0.7)),url(images/background.jpg);
    background-position: center;
    background-size: cover;
    position: relative;
}

nav{
    display: flex;
    padding: 2% 6%;
    justify-content: space-between;
    align-items: center;
}

nav img{
    width: 80px;
    height: 80px;
}

.nav-links{
    flex: 1;
    text-align: right;
}

.nav-links ul li{
    list-style: none;
    display: inline-block;
    padding: 8px 12px;
    position: relative;
}

.nav-links ul li a{
    color:aliceblue;
    text-decoration: none;
    font-size: 13px;
}

.nav-links ul li::after{
    content: '';
    width: 0%;
    height: 2px;
    background: #33cc99;
    display: block;
    margin: auto;
    transition: 0.5s;
}

.nav-links ul li:hover::after{
    width: 100%;
}

.text-box{
    width: 90%;
    color:aliceblue;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    text-align: center;
}

.text-box h1{
    font-size: 62px;
}
.text-box p{
    margin: 10px 0 40px;
    font-size: 14px;
    color: aliceblue;
}

.btn{
    display: inline-block;
    text-decoration: none;
    color: aliceblue;
    border: 1px solid #fff;
    padding: 12px 34px;
    font-size: 13px;
    background: transparent;
    position: relative;
    cursor: pointer;
}

.btn:hover{
    border: 1px solid #f44336;
    background: #f44336;
    transition: 1s;
}

nav .fa{
    display: none;
}

@media(max-width: 700px){
    .text-box h1{
        font-size: 20px;
    }
    
    .nav-links ul li{
        display: block;
    }

    .nav-links{
        position: absolute;
        background: #f44336;
        height: 100vh;
        width: 200px;
        top: 0;
        right: -200px;
        text-align: left;
        z-index: 2;
        transition: 1s;
    }
    nav .fa{
        display: block;
        color: #fff;
        margin: 10px;
        font-size: 22px;
        cursor: pointer;
    }
    .nav-links ul{
        padding: 30px;
    }
}

/*--skill--*/

.skills{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
}

h1{
    font-size: 36px;
    font-weight: 600;
}

p{
    color: #777;
    font-size: 14px;
    font-weight: 300;
    line-height: 22px;
    padding: 10px;
}

.row{
    margin-top: 5%;
    display: flex;
    justify-content: space-between;
}

.community-col{
    flex-basis: 31%;
    background: #fff3f3;
    border-radius: 10px;
    margin-bottom: 5%;
    padding: 20px 12px;
    box-sizing: border-box;
    transition: 0.5s;
}

h3{
    text-align: center;
    font-weight: 600;
    margin: 10px 0;
}

.community-col:hover{
    box-shadow: 0 0 20px 0px rgba(0,0,0,0.2);
}

@media(max-width: 700px){
    .row{
        flex-direction: column;
    }
}

/*--environment--*/
.environment{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 50px;
}

.environment-col{
    flex-basis:28%;
    border-radius: 10px;
    margin-bottom: 30px;
    position: relative;
    overflow: hidden;
}

.environment-col img{
    width: 90%;
}

.layer{
    background: transparent;
    height: 100%;
    width: 100%;
    position: absolute;
    top:0;
    left: 0;
    transition: 0.3s;
}

.layer:hover{
    background: rgba(226,0,0,0.7);
}

.layer h3{
    width: 100%;
    font-weight: 500;
    color: aliceblue;
    font-size: 26px;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    opacity: 0;
    transition: 0.3s;
}

.layer:hover h3{
    bottom: 30%;
    opacity: 1;
}

/*--facilities--*/
.facilities{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
}

.facilities-col{
    flex-basis: 31%;
    border-radius: 10px;
    margin-bottom: 5%;
    text-align: left;
}

.facilities-col img{
    width: 90%;
    border-radius: 10px;
}

.facilities-col p{
    padding: 5px;
}

.facilities-col h3{
    margin-top: 16px;
    margin-bottom: 15px;
    text-align: left;
}

/*--testimonials--*/
.testimonials {
    flex-direction: column;
  }
  
  .testimonial {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
  
  .testimonial img {
    width:150px;
    border-radius:50%;
    margin: 24px;
  }
  
  h3 {
    margin:8px;
    font-weight:normal;
  }

  .contact {
    flex-direction: column;
  }
  
  .contact form {
    display: flex;
    flex-direction: column;
  }
  
  .contact form input,
  .contact form textarea {
    padding: 12px;
    margin: 8px 0;
    font-family:"Raleway", sans-serif;
  }
  
  .contact form input[type="submit"] {
    background:black;
    color:white;
    border:none;
  }

  footer {
    background:black;
    color:white;
    text-align: center;
    padding: 16px;
  }
  
  .social-icons {
    margin:16px;
    font-size:32px;
  }
  
  .social-icons a {
    color:white;
  }
  
  footer i {
    transition: all .4s;
  }
  
  footer .fa-facebook:hover {
    color:#3c5a99;
  }
  
  footer .fa-instagram:hover {
    color:#e1306c;
  }
  
  footer .fa-twitter-square:hover {
    color:#1da1f2;
  }

